/* a sample program that display system information.*/
#include <stdlib.h>
#include <sys/utsname.h>

int main() {
    struct utsname name;
    
    if(uname(&name)== -1) {
      perror("uname failure");
      exit(1);
    }
    printf("The system is %s\n",name.sysname);
    printf("The computer's name is %s\n",name.nodename);
    printf("The release is %s\n",name.release);
    printf("The version is %s\n",name.version);
    printf("The machine is %s\n",name.machine);
}
